function featLSK = computeLSK(im, conf)
%% LSK features in C

% Author: Sujoy Biswas
% Affiliation: University of California, Santa Cruz
% History: April, 2016

[zx,zy]=gradient(im);

wsize = conf.Wsize;
win = (wsize-1)/2;
K = fspecial('disk', win);
K = K ./ K(win+1, win+1);
len = sum(K(:));

nbors = conf.nbors; 
h = conf.h; 
alp = conf.alpha;  

featLSK =  getlsk(zx, zy, K, len, wsize, nbors, h, alp);

end

